# Makefile for jpeg6b library (linux) copyright (c) 2004 alan.wagner
#

all: jpeg6b-xwin.lib

debug: jpeg6b-xwin_d.lib

install:	jpeg6b-xwin.lib
	cp -vi ./libs/*.a /usr/lib

clean:	clean_jpeg6b-xwin.lib

cleanlib:
	rm -f ./libs/*.a

TARG_jpeg6b-xwin.lib= libjpeg6b.a
TARG_jpeg6b-xwin_d.lib= libjpeg6b_d.a

##############################
#######  TARGET: libjpeg6b.a 
##############################
TOP_jpeg6b-xwin.lib=..\..\..\..\
WD_jpeg6b-xwin.lib=$(shell cd ${TOP_jpeg6b-xwin.lib};echo `pwd`)

SRCDIR_jpeg6b-xwin.lib= ../source/
INCDIR_jpeg6b-xwin.lib= ../

c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jidctred.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jcapistd.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jccoefct.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jccolor.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jcdctmgr.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jchuff.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jcinit.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jcmainct.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jcmarker.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jcmaster.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jcomapi.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jcparam.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jcphuff.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jcprepct.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jcsample.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jctrans.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jdapimin.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jdapistd.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jdatadst.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jdatasrc.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jdcoefct.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jdcolor.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jddctmgr.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jdhuff.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jdinput.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jdmainct.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jdmarker.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jdmaster.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jdmerge.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jdphuff.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jdpostct.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jdsample.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jdtrans.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jerror.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jfdctflt.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jfdctfst.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jfdctint.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jidctflt.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jidctfst.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jidctint.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jcapimin.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jmemmgr.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jquant1.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jquant2.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jutils.c
c_SRC_jpeg6b-xwin.lib+=${WD_jpeg6b-xwin.lib}${SRCDIR_jpeg6b-xwin.lib}jmemnobs.c

OBJS_jpeg6b-xwin.lib+=$(c_SRC_jpeg6b-xwin.lib:.c=.o)
OBJS_jpeg6b-xwin_d.lib+=$(c_SRC_jpeg6b-xwin.lib:.c=_d.o)

CFLAGS_jpeg6b-xwin.lib+= -I${INCDIR_jpeg6b-xwin.lib} -I${SRCDIR_jpeg6b-xwin.lib}


clean_jpeg6b-xwin.lib:
	rm -f ${OBJS_jpeg6b-xwin.lib}
	rm -f ${OBJS_jpeg6b-xwin_d.lib}	


ifeq (${TARGET}, ${TARG_jpeg6b-xwin.lib})

jpeg6b-xwin.lib: ${OBJS_jpeg6b-xwin.lib}	
	ar -rc ${TARGET} ${OBJS_jpeg6b-xwin.lib}
	mv ${TARGET} ./libs/${TARGET}	

%.o: %.c
	$(CC) -c -O2 ${CFLAGS_jpeg6b-xwin.lib} -fPIC $< -o $@
endif


ifeq (${TARGET}, ${TARG_jpeg6b-xwin_d.lib})

jpeg6b-xwin_d.lib: ${OBJS_jpeg6b-xwin_d.lib}	
	ar -rc ${TARGET} ${OBJS_jpeg6b-xwin_d.lib}
	mv ${TARGET} ./libs/${TARGET}	

%_d.o: %.c
	$(CC) -c -ggdb ${CFLAGS_jpeg6b-xwin.lib} -fPIC $< -o $@

endif





